Public APIWidget
Authorization
publishableKey AuthorizationBearer <token>
Workspace publishable key (wk_pub_...). You can also send X-Landed-Widget-Key instead of Authorization.
In: header
Path Parameters
conversationId*string
Header Parameters
X-Landed-Visitor-Token?string
Opaque visitor session token. Returned on the first anonymous submission and required to continue that visitor's conversations.
X-Landed-User-Id?string
Host product id from identify(). Must be sent together with X-Landed-User-Email.
X-Landed-User-Email?string
Host product email from identify(). Must be sent together with X-Landed-User-Id.
Format
emailResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/widget/conversations/string"{ "conversation": { "id": "conv_123", "title": "Export never finishes", "lastActivityAt": "2026-08-28T09:05:00.000Z", "messages": [ { "id": "msg_123", "authorType": "end_user", "content": "The export button never finishes.", "createdAt": "2026-08-28T09:00:00.000Z", "attachments": [] }, { "id": "msg_124", "authorType": "admin", "content": "Thanks — we are looking into this.", "createdAt": "2026-08-28T09:05:00.000Z", "attachments": [] } ] }}{ "error": "string"}{ "error": "string"}{ "error": "string"}